Subject: Re: [PATCH] read-cache: avoid misaligned reads in index v4

From: Junio C Hamano <[email-masked]>
Date: Mon, 26 Sep 2022 16:02:49 -0700

Jeff King <[email-masked]> writes:

> I do find it a bit more straight-forward, but the extra copy is ugly,
> plus the "yuck" comment.

Yeah, the "yuck" memcpy() is, eh, unfortunate.  Consistently using a
single "pointer" (pos) to keep track of where we are does make the
structure of the code appear uniform and easier to follow, though.